### Method

# EDataServer Source refresh_remove_timeouts_by_data

since: 3.6

#### Declaration [src]

    guint
    e_source_refresh_remove_timeouts_by_data (
      ESource* source,
      gpointer user_data
    )

#### Description [src]

Removes all timeout `GSource`‘s added by `e_source_refresh_add_timeout()` whose callback data pointer matches `user_data`.

Available since: 3.6

#### Parameters

`user_data`

  Type: `gpointer`

  User data to match against timeout callbacks.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `guint`

The number of timeouts found and removed.